commit:     47cce477d7b0529993cfaf58294c88dcf9afbd4c
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Thu Jan 12 03:23:11 2023 +0000
Commit:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
CommitDate: Sat Jan 14 23:22:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=47cce477

dev-lang/rust: Add 1.66.1 + Remove 1.66.0

Signed-off-by: orbea <orbea <AT> riseup.net>
Closes: https://github.com/gentoo/libressl/pull/488
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>

 dev-lang/rust/Manifest                                   | 4 ++--
 dev-lang/rust/{rust-1.66.0.ebuild => rust-1.66.1.ebuild} | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/dev-lang/rust/Manifest b/dev-lang/rust/Manifest
index 92788f0..48fbca7 100644
--- a/dev-lang/rust/Manifest
+++ b/dev-lang/rust/Manifest
@@ -64,5 +64,5 @@ DIST rust-1.65.0-x86_64-unknown-linux-musl.tar.xz 266683288 
BLAKE2B 4312a53bca3e
 DIST rust-1.65.0-x86_64-unknown-linux-musl.tar.xz.asc 801 BLAKE2B 
054f1b773518a9640f3d9226510cb0b00a7f8dc4a9046c325b82d038a50c699a8bd84f71ed62790e9b96b4d65ad12ea631f6a8bc18b3bafd66db3d21137cd378
 SHA512 
39aa000c2a1359cfd7d2eda2b22a9b10c0fe4aa024862b7ea67bd488e06fdee6f5cc4e98db7486b84ce53f1c299bbd5391f63e25df0358184533a5fdced4ce61
 DIST rustc-1.65.0-src.tar.xz 139674928 BLAKE2B 
a218263fb67e306b153f5a6dae95b5ec653acaa5eb4b833862d6f0fd4685a8cec097dadc1b8a934e1bf6055672c7a617f9a0ad4a7dbf2e78084297f10b7ada04
 SHA512 
3d0369ed3028209c4ecb9b9e7b5f5e3a20be8cc05199675df4f091d62a96c0734bc1dbd7630928fe162792392ec6d0daf9ceed10771531ce022200c7b631e3be
 DIST rustc-1.65.0-src.tar.xz.asc 801 BLAKE2B 
43ff92011cd6f7f34ce0495fa341379e5907d032ea90f91e533e5edaec6ad518aad50a9d8b2694074d6909ee96aa779403b16e95792e962e79c1b967542ae26f
 SHA512 
75b9be53363022c81333117876cbcc573bbd4733edf767cbb164218644efb1a9c4bfc2aa73aaa1e39f248a84f1adacb1930a94a6e63f60093ff760fb9ae02efc
-DIST rustc-1.66.0-src.tar.xz 141582844 BLAKE2B 
f07a71763158da3e1c4c328d5423a9353dc6b7d3fd167b6417bd1dd9ef32081d5f634be1bd946d2fabb75808759cbd67cddc75f768ba610a687a417342fff023
 SHA512 
df329bcabce309846e44d92a118758dfc65b63f06857226799c75568a2a018a96500fd07cd38c1927e3486d190a6f57340ee794c733bbbb69cf80a99855ced73
-DIST rustc-1.66.0-src.tar.xz.asc 801 BLAKE2B 
adffb348d20594e49364c14489c8479630e0d2b4431d6a63a4c5486e9d01c7994913f4fe09c21aa336d3f2b2d2f62c4504f6930b23fcad3e06e13058c15f1eb1
 SHA512 
c8a524e83a86bb0c3ab813f45687e92a3ef7bc57943a62c3a6ae211314d9889a8123272b1c0aa763262435f2a51fc39a98a731931727faea9d6e2a0da0facd2e
+DIST rustc-1.66.1-src.tar.xz 141692940 BLAKE2B 
3fae45345998386fda1b11ec896fac4613b8e3f0092bc0df29c9685f4a4012c0bd1b600911c2d19bcfa8f5a84b8a3c39d4c9e062a62cd61925b59129e1cd72b9
 SHA512 
1944c024c603140d0a9236043a3bd1d0d211dd8d368d6d82a3a620f1ff43b29624755b0943f2b38b40a188c7eee77a840238ea757eaf435e2a3fa6a0e6b82832
+DIST rustc-1.66.1-src.tar.xz.asc 801 BLAKE2B 
18e27c88b39eed29147854733c5533b7fffc417ff0b3bd5982174ffa2c5f6d217e2e28ced4da75863a4557800e7ad7a124a4bbb0def4c20da7ed543602185941
 SHA512 
4511f41ad3d098a339ea3173e3ffa692d1d3cd3ec9dd45af68e4491471f9a72a2e866f6924090eb366bdf6f856650d981eabe1cd851843a17f4a6e4f1dfbc8a9

diff --git a/dev-lang/rust/rust-1.66.0.ebuild b/dev-lang/rust/rust-1.66.1.ebuild
similarity index 99%
rename from dev-lang/rust/rust-1.66.0.ebuild
rename to dev-lang/rust/rust-1.66.1.ebuild
index 9c75136..2f37402 100644
--- a/dev-lang/rust/rust-1.66.0.ebuild
+++ b/dev-lang/rust/rust-1.66.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -19,7 +19,7 @@ else
        SLOT="stable/${ABI_VER}"
        MY_P="rustc-${PV}"
        SRC="${MY_P}-src.tar.xz"
-       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+       KEYWORDS="amd64 ~arm ~arm64 ~mips ppc ppc64 ~riscv ~sparc ~x86"
 fi
 
 RUST_STAGE0_VERSION="1.$(($(ver_cut 2) - 1)).0"
@@ -39,7 +39,7 @@ ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM AVR BPF Hexagon Lanai 
Mips MSP430
 ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
 LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/(-)?}
 
-LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA"
+LICENSE="|| ( MIT Apache-2.0 ) BSD BSD-1 BSD-2 BSD-4 UoI-NCSA"
 
 IUSE="clippy cpu_flags_x86_sse2 debug dist doc llvm-libunwind miri nightly 
parallel-compiler profiler rustfmt rust-analyzer rust-src system-bootstrap 
system-llvm test wasm ${ALL_LLVM_TARGETS[*]}"
 
@@ -287,7 +287,7 @@ esetup_unwind_hack() {
 src_prepare() {
        # this supidity is needed because patch is too large to be in filesdir
        # and if we move it to devspace - it lacks checksum for sig verification
-       if [[ "${PV}" == 1.66.0 ]]; then
+       if [[ "${PV}" == 1.66.1 ]]; then
                        sed -i \
                        -e 
's/516ba32a547b46a8e80ad20d4a17bf24a00bff0b69b74f56df119f770f3dfff6/fc7eb88c2f5104865379128b76767d36ce5b5fdb9f3483e683d150e514ebc3a3/'
 \
                        -e 
's/fba10dc8ca9eaf4d481cb82bd1540cf5c05620533c44f917c09a22ea55ef408c/9cc4d1b4511a1f0d91231eb0f11c67ae5e8e38e4becd0bf5eb9e26d043796056/'
 \

Reply via email to